create_clock -name refclk -period 8 [get_ports gtx_refclk_n]

create_clock -name txusrclk -period 8 [get_pins -hierarchical -filter {name =~ */usrclk_bufg/O}]
create_clock -name rxusrclk -period 8 [get_pins -hierarchical -filter {name =~ */pipe_rx_bufg/O}]

set_clock_groups -asynchronous \
    -group [get_clocks -include_generated_clocks -of_objects [get_ports gtx_refclk_n]] \
    -group [get_clocks -include_generated_clocks -of_objects [get_pins -hier -filter {name =~ */usrclk_bufg/O}]] \
    -group [get_clocks -include_generated_clocks -of_objects [get_pins -hier -filter {name =~ */pipe_rx_bufg/O}]]

set_property LOC GTXE2_CHANNEL_X0Y10 [get_cells -hierarchical -filter {name =~ */gtxe2_i}]

set_property PACKAGE_PIN G8 [get_ports gtx_refclk_p];
set_property PACKAGE_PIN G7 [get_ports gtx_refclk_n];

set_property -dict { PACKAGE_PIN AB8 IOSTANDARD LVCMOS15 } [get_ports "gpio_led[0]"];
set_property -dict { PACKAGE_PIN AA8 IOSTANDARD LVCMOS15 } [get_ports "gpio_led[1]"];
set_property -dict { PACKAGE_PIN AC9 IOSTANDARD LVCMOS15 } [get_ports "gpio_led[2]"];
set_property -dict { PACKAGE_PIN AB9 IOSTANDARD LVCMOS15 } [get_ports "gpio_led[3]"];
set_property -dict { PACKAGE_PIN AE26 IOSTANDARD LVCMOS18 } [get_ports "gpio_led[4]"];
set_property -dict { PACKAGE_PIN G19 IOSTANDARD LVCMOS18 } [get_ports "gpio_led[5]"];
set_property -dict { PACKAGE_PIN E18 IOSTANDARD LVCMOS18 } [get_ports "gpio_led[6]"];
set_property -dict { PACKAGE_PIN F16 IOSTANDARD LVCMOS18 } [get_ports "gpio_led[7]"];

set_false_path -to [get_ports -filter {NAME=~gpio_led*}]
